Bug 251303 - x11-fm/konqueror post install doesn't say to enable dbus
Summary: x11-fm/konqueror post install doesn't say to enable dbus
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-22 02:33 UTC by pumpy
Modified: 2020-12-02 20:39 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pumpy 2020-11-22 02:33:59 UTC
12.2 w/ konqueror installed. running it errors about dbus. adding dbus_enable="YES" to /etc/rc.conf fixed it.
Comment 1 Tobias C. Berner freebsd_committer 2020-11-22 07:12:53 UTC
Moin moin 

dbus is basically assumed to be installed and running by everything gnome/kde.
So generally, if a package depends on dbus, it also wants it at runtime.


mfg Tobias
Comment 2 pumpy 2020-11-30 15:52:01 UTC
(In reply to Tobias C. Berner from comment #1)

>So generally, if a package depends on dbus, it also wants it at runtime.

that in docs somewhere or do ppl just 'know'?
Comment 3 Tobias C. Berner freebsd_committer 2020-11-30 19:14:27 UTC
(In reply to pumpy from comment #2)
I get your point :) -- but we simply cannot add a warning to every modern Qt/Gtk application that uses dbus for ipc.

Maybe there should be  pkg-message for devel/dbus to point out that it should be enabled.

Also there is [1] which arguably is also not quite up to date... :( But at least points to dbus.


mfg Tobias

[1] https://www.freebsd.org/doc/handbook/x11-wm.html
Comment 4 pumpy 2020-12-02 20:39:13 UTC
(In reply to Tobias C. Berner from comment #3)

bad